﻿Public Class Form1

    Dim transport As String
    Dim curseur As Integer

    ' Pour chacune des cases d'option, on met dans une variable publique l'effet recherché
    Private Sub RadioButton1_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton1.CheckedChanged
        curseur = DragDropEffects.Copy
    End Sub
    Private Sub RadioButton2_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton2.CheckedChanged
        curseur = DragDropEffects.Move
    End Sub

    Private Sub ListBox1_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles ListBox1.MouseDown
        ' On affecte la variable publique avec l'Item, et zou, on démarre le Drag & Drop
        transport = ListBox1.SelectedItem
        ListBox1.DoDragDrop("toto", curseur)
    End Sub

    Private Sub TextBox1_DragEnter(ByVal sender As Object, ByVal e As System.Windows.Forms.DragEventArgs) Handles TextBox1.DragEnter
        e.Effect = curseur
    End Sub

    Private Sub TextBox1_DragDrop(ByVal sender As Object, ByVal e As System.Windows.Forms.DragEventArgs) Handles TextBox1.DragDrop
        ' On recopie le contenu de la variable transport
        TextBox1.Text = transport
        ' Si c'est un déplacement, on efface l'original dans la liste
        If RadioButton2.Checked Then
            ListBox1.Items.Remove(transport)
        End If
    End Sub
End Class
